<?php

/*
  GPLv2 (C) <2021>  <HashCasper>

  This file is part of D2IM.

  D2IM is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  D2IM is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with D2IM.  If not, see <http://www.gnu.org/licenses/>.
 */

class D2SaveFile {

	public $path;
	
	public function save($file, $data) {
	
		$fp = fopen($this->path.DIRECTORY_SEPARATOR.$file, 'a+');
		$this->saveBackup($file);		
		fputcsv($fp, $data, "\t");		
	}


	public function saveBackup($file){		
		
		// if dir doesn't exist, create it
		if (!is_dir($this->path.DIRECTORY_SEPARATOR."backup")) mkdir($this->path."backup", 0700);
		
		$oldfile = $this->path.$file;
		
		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
		// set new file location to copy to (backup)
		$newfile = $this->path."\\backup\\$file";
		} else {
			$newfile = $this->path."backup/$file";
		}
		if (!copy($oldfile, $newfile)) {
			echo "Failed to create backup of $file...\n";
		}
	}
	
	public function saveTblEnries($filename) {
		$post = $_POST;

		if (!is_dir($this->path."tblEntries")) mkdir($this->path."tblEntries", 0700);
		
		// write for .tbl
		$str = '"'.$post['index'].'"'."\t".'"'.$post['index'].'"'.PHP_EOL;
		$file = $this->path."\\tblEntries\\$filename";
		file_put_contents($file, $str, FILE_APPEND);
	}	
	
	public function __construct() {
		$this->path = TXT_PATH;
	}

}
?>